Windows Binaries for GMP 4.2.2

Patrick Pelissier patrick.pelissier at
Fri Sep 21 17:16:41 CEST 2007

> GMP is distributed under LGPL v3 *or later*, and MPFR is distributed
> under LGPL v2.1 *or later*. As an MPFR build contains bits of GMP
> (from gmp.h, whose license is LGPL v3+, due to macros, in particular
> mpn inlines) and LGPL v2.1 and LGPL v3 are incompatible, this implies
> that an MPFR library that was built against GMP 4.2.2 can only be
> distributed under LGPL v3 or later.

I am not sure there is an issue: it is small enough to be part of the
exception described in section 3 of the LGPL v3 (see

  Note that once MPFR resynchronize the longlong.h with the new one of
GMP 4.2.2, MPFR has to be released under LGPL v3 ( ) or if FSF
asks for such a change.

  Patrick Pelissier

More information about the gmp-discuss mailing list